Subject: armo boot

From: Philip Blundell <[email-masked]>
Date: Sat, 15 Nov 1997 22:12:11 +0000

Hi.

I brought my old A5000 back from the office and had a go at getting Linux 
running on it.  I had some trouble with the !Linux loader (about 95 times in 
100 I get `invalid compressed format (err=N) -- system halted' type messages)
and so I ended up writing my own trivial loader instead.  Loading the kernel 
at &1800000 turned out to be a pain because RISC OS gets in the way, and I'm 
curious as to why this address was chosen in the first place.  I rebuilt my 
kernel with ZTEXTADDR=0x10000 and things were a lot easier.

I also had a quick bash with glibc, and the good news is that there are some 
signs of life there as well.  `Hello world' seems to work, though I got a 
branch through zero when it exited.  I haven't tried anything more challenging 
yet.

p.